Bug 455193 - Update README.Fedora to cover PulseAudio integration
Update README.Fedora to cover PulseAudio integration
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: jack-audio-connection-kit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Andy Shevchenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-13 16:34 EDT by Anthony Green
Modified: 2008-09-10 02:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 08:17:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2008-07-13 16:34:25 EDT
Description of problem:
The README.Fedora file should be updated to cover how to integrate jackd and
pulseaudio.  Harald Hoyer recently wrote a useful blog entry on this:

http://www.harald-hoyer.de/linux/pulseaudio-and-jackd

Here's the body of his text:

As root

Install the required packages:

# yum install pulseaudio-module-jack alsa-plugins-jack jack-audio-connection-kit 

Add yourself to the pulse-rt and jackuser  group.

# usermod -a -G pulse-rt,jackaudio "<your username>"

Edit /etc/security/limits.conf:

@jackuser - rtprio 20
@jackuser - memlock 4194304
@pulse-rt - rtprio 20
@pulse-rt - nice -20

As your normal user

Create the pulseaudio start file ~/jack.pa:

#!/usr/bin/pulseaudio -nF
#
load-module module-jack-sink
load-module module-jack-source

load-module module-native-protocol-unix
load-module module-volume-restore
load-module module-default-device-restore
load-module module-rescue-streams
load-module module-suspend-on-idle
.ifexists module-gconf.so
.nofail
load-module module-gconf
.fail
.endif
.ifexists module-x11-publish.so
.nofail
load-module module-x11-publish
.fail
.endif

Relog to get the new group permissions and limits.

Kill the current pulseaudio daemon:

$ killall pulseaudio

Start the jack daemon (your parameters may be different):

$ jackd -R -P4 -dalsa -r44100 -p512 -n4 -D -Chw:0 -Phw:0

Start the pulseaudio daemon:

$ pulseaudio -nF ~/jack.pa

Now everything should work :) At least for me it does.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2008-07-20 11:52:42 EDT
jack-audio-connection-kit-0.109.2-2.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-07-23 03:18:42 EDT
jack-audio-connection-kit-0.109.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jack-audio-connection-kit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6642
Comment 3 Fedora Update System 2008-07-28 15:30:07 EDT
jack-audio-connection-kit-0.109.2-3.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-09-05 08:17:26 EDT
jack-audio-connection-kit-0.109.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-09-10 02:38:24 EDT
jack-audio-connection-kit-0.109.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.